Debian Bug report logs - #689522
Lisp directory `/etc/emacs23' does not exist

version graph

Package: emacs23; Maintainer for emacs23 is Rob Browning <rlb@defaultvalue.org>; Source for emacs23 is src:emacs23.

Reported by: Antoine Beaupré <anarcat@koumbit.org>

Date: Wed, 3 Oct 2012 14:57:02 UTC

Severity: grave

Tags: moreinfo, unreproducible

Found in version emacs23/23.4+1-4

Done: Axel Beckert <abe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#689522; Package emacs23. (Wed, 03 Oct 2012 14:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@koumbit.org>:
New Bug report received and forwarded. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Wed, 03 Oct 2012 14:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@koumbit.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Lisp directory `/etc/emacs23' does not exist
Date: Wed, 03 Oct 2012 16:43:12 +0200
Package: emacs23
Version: 23.4+1-4
Severity: grave

Hi!

I started getting this error when using emacs after the latest wheezy
upgrade:

Warning: Lisp directory `/etc/emacs23' does not exist.

I mark this grave as it makes most emacs parts unusable... My .emacs is
not loaded, for example.

This is the upgrade:

2012-09-27 17:26:11 upgrade emacs23:i386 23.4+1-3 23.4+1-4

This is rather ... inconvenient.

A.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=UTF-8) (ignored: LC_ALL set to fr_CA.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages emacs23 depends on:
ii  emacs23-bin-common  23.4+1-4
ii  gconf-service       3.2.5-1+build1
ii  libasound2          1.0.25-4
ii  libatk1.0-0         2.4.0-2
ii  libc6               2.13-35
ii  libcairo2           1.12.2-2
ii  libdbus-1-3         1.6.0-1
ii  libfontconfig1      2.9.0-7
ii  libfreetype6        2.4.9-1
ii  libgconf-2-4        3.2.5-1+build1
ii  libgdk-pixbuf2.0-0  2.26.1-1
ii  libgif4             4.1.6-9.1
ii  libglib2.0-0        2.32.3-1
ii  libgpm2             1.20.4-6
ii  libgtk2.0-0         2.24.10-2
ii  libice6             2:1.0.8-2
ii  libjpeg8            8d-1
ii  libm17n-0           1.6.3-2
ii  libncurses5         5.9-10
ii  libotf0             0.9.12-2
ii  libpango1.0-0       1.30.0-1
ii  libpng12-0          1.2.49-1
ii  librsvg2-2          2.36.1-1
ii  libsm6              2:1.2.1-2
ii  libtiff4            3.9.6-7
ii  libtinfo5           5.9-10
ii  libx11-6            2:1.5.0-1
ii  libxft2             2.3.1-1
ii  libxpm4             1:3.5.10-1
ii  libxrender1         1:0.9.7-1
ii  zlib1g              1:1.2.7.dfsg-13

emacs23 recommends no packages.

Versions of packages emacs23 suggests:
pn  emacs23-common-non-dfsg  <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, elbrus@debian.org, elbrus@debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#689522; Package emacs23. (Sat, 13 Oct 2012 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to elbrus@debian.org, elbrus@debian.org, Rob Browning <rlb@defaultvalue.org>. (Sat, 13 Oct 2012 16:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 689522@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: Debian Bug Tracking System <689522@bugs.debian.org>
Subject: Re: Lisp directory `/etc/emacs23' does not exist
Date: Sat, 13 Oct 2012 18:30:19 +0200
Package: emacs23
Tags: moreinfo
Followup-For: Bug #689522

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

As you clearly have installed "ii  emacs23-bin-common  23.4+1-4" which depends on
emacs23-common which contains the directory /etc/emacs32, I can only image one of
the following, all not making much sense:
- - Something went wrong during installation of emacs23-common (but then
  emacs23-bin-common should not be in the installed state)
- - You removed that directory yourself (but I guess you would not be filing this bug
  if you did.)

So could you verify that the /etc/emacs23/ does not exist on your system.

Could you please check the /var/log/dpkg.log* logs and copy/past the part where
emacs is updated.

I will try to reproduce by getting the packages from snapshot.debian.org.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlB5lxsACgkQHNUte6r+CGpCGQCdFQXdR/d4AIdDdC2TR8b2zeFw
CFIAn08bqNpkfDhXjXv1psfnGv6MTk1A
=sUoM
-----END PGP SIGNATURE-----



Added tag(s) unreproducible. Request was from Paul Gevers <elbrus@debian.org> to control@bugs.debian.org. (Sat, 13 Oct 2012 17:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#689522; Package emacs23. (Sun, 21 Oct 2012 20:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Sun, 21 Oct 2012 20:30:03 GMT) Full text and rfc822 format available.

Message #17 received at 689522@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Paul Gevers <elbrus@debian.org>
Cc: 689522@bugs.debian.org, Antoine Beaupré <anarcat@koumbit.org>
Subject: Re: unreproducible
Date: Sun, 21 Oct 2012 22:26:50 +0200
Paul Gevers wrote (13 Oct 2012 17:01:09 GMT) :
> I purged emacs23 packages, removed /etc/emacs23 directory, loaded
> the emacs23-common_23.4+1-3_all.deb
> emacs23-bin-common_23.4+1-3_amd64.deb emacs23_23.4+1-3_amd64.deb
> files from snapshot.debian.org and upgraded normally. It works for
> me, the directory is there.

I did the same and got the same results.
It looks like something unrelated is wrong on Antoine's system.

Cheers!



Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#689522; Package emacs23. (Sat, 27 Oct 2012 23:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Sat, 27 Oct 2012 23:33:03 GMT) Full text and rfc822 format available.

Message #22 received at 689522@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Antoine Beaupré <anarcat@koumbit.org>
Cc: 689522@bugs.debian.org
Subject: Re: Bug#689522: Lisp directory `/etc/emacs23' does not exist
Date: Sun, 28 Oct 2012 01:32:06 +0200
Control: tag -1 + moreinfo

Hi Antoine,

Antoine Beaupré wrote:
> I started getting this error when using emacs after the latest wheezy
> upgrade:
> 
> Warning: Lisp directory `/etc/emacs23' does not exist.
> 
> I mark this grave as it makes most emacs parts unusable... My .emacs is
> not loaded, for example.

Several people tried to reproduce this but weren't able to.

Do you use any of dpkg's path-include/path-exclude options, e.g. via
/etc/dpkg/dpkg.cfg or /etc/dpkg/dpkg.cfg.d/?

If so, this may be a similar or even the same issue like this dpkg bug
which has been fixed just recently (20. Oct.) in unstable:
http://bugs.debian.org/688416

Or is there any other special setup which could be relevant to cause
this issue?

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Added tag(s) moreinfo. Request was from Axel Beckert <abe@debian.org> to 689522-submit@bugs.debian.org. (Sat, 27 Oct 2012 23:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#689522; Package emacs23. (Mon, 29 Oct 2012 13:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@koumbit.org>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. (Mon, 29 Oct 2012 13:12:06 GMT) Full text and rfc822 format available.

Message #29 received at 689522@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@koumbit.org>
To: Axel Beckert <abe@debian.org>
Cc: 689522@bugs.debian.org
Subject: Re: Bug#689522: Lisp directory `/etc/emacs23' does not exist
Date: Mon, 29 Oct 2012 09:09:29 -0400
[Message part 1 (text/plain, inline)]
On 2012-10-27, Axel Beckert wrote:
> Antoine Beaupré wrote:
>> I started getting this error when using emacs after the latest wheezy
>> upgrade:
>> 
>> Warning: Lisp directory `/etc/emacs23' does not exist.
>> 
>> I mark this grave as it makes most emacs parts unusable... My .emacs is
>> not loaded, for example.
>
> Several people tried to reproduce this but weren't able to.

Okay...

> Do you use any of dpkg's path-include/path-exclude options, e.g. via
> /etc/dpkg/dpkg.cfg or /etc/dpkg/dpkg.cfg.d/?

Nope.

> If so, this may be a similar or even the same issue like this dpkg bug
> which has been fixed just recently (20. Oct.) in unstable:
> http://bugs.debian.org/688416
>
> Or is there any other special setup which could be relevant to cause
> this issue?

Not that I am aware of. Of course now I can't reproduce this either
because the upgrade is done... Also, it didn't happen on another wheezy
system of mine...

Not sure what happened here, maybe this bug should be ignored. As more
people upgrade to wheezy, we should see other similar reports if it is a
real problem.

I recommend closing this bug for now.

A.

-- 
Antoine Beaupré +++ Réseau Koumbit Networks +++ +1.514.387.6262 #208
--------------------------------------------------------------------
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Axel Beckert <abe@debian.org>:
You have taken responsibility. (Mon, 29 Oct 2012 13:24:04 GMT) Full text and rfc822 format available.

Notification sent to Antoine Beaupré <anarcat@koumbit.org>:
Bug acknowledged by developer. (Mon, 29 Oct 2012 13:24:04 GMT) Full text and rfc822 format available.

Message #34 received at 689522-done@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Antoine Beaupré <anarcat@koumbit.org>
Cc: 689522-done@bugs.debian.org
Subject: Re: Bug#689522: Lisp directory `/etc/emacs23' does not exist
Date: Mon, 29 Oct 2012 14:20:31 +0100
Hi Antoine,

thanks for the prompt reply!

Antoine Beaupré wrote:
> > Several people tried to reproduce this but weren't able to.
> 
> Okay...
> 
> > Do you use any of dpkg's path-include/path-exclude options, e.g. via
> > /etc/dpkg/dpkg.cfg or /etc/dpkg/dpkg.cfg.d/?
> 
> Nope.
> 
> > If so, this may be a similar or even the same issue like this dpkg bug
> > which has been fixed just recently (20. Oct.) in unstable:
> > http://bugs.debian.org/688416
> >
> > Or is there any other special setup which could be relevant to cause
> > this issue?
> 
> Not that I am aware of. Of course now I can't reproduce this either
> because the upgrade is done... Also, it didn't happen on another wheezy
> system of mine...
> 
> Not sure what happened here, maybe this bug should be ignored. As more
> people upgrade to wheezy, we should see other similar reports if it is a
> real problem.

Ok, so I herewith state that anyone who has stumbled upon this issue,
too, should please comment on this bug report by sending a mail to
689522@bugs.debian.org.

> I recommend closing this bug for now.

Thanks. Doing so now.

In case someone else stumbles upon this issue after this bug report
has been archived, please send the line "unarchive 689522" to
control@bugs.debian.org and wait for the reply before posting anything
to this bug-report. TIA!

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Nov 2012 07:26:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:13:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.